Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray.antialiasing
Interface Antialiasing

All Known Implementing Classes:
  AdaptiveSupersampling, NoAntialiasing, StochasticSupersampling

    public interface Antialiasing

A implementation of this interface encapsulates a single antialising methode that is based on prefiltering.

Author:
  Micha

Method Summary
`void` | `getColorFromFrustum(double x, double y, double width, double height, Color4f color)` This method has to return a color value determined for a given pixel frustum.
`void` | `initialize(RTCamera camera, RayProcessor processor)` Initializes the antialiasing method and sets the camera and ray processor object that has to be used.

Method Detail

### getColorFromFrustum

    void getColorFromFrustum(double x,
                             double y,
                             double width,
                             double height,
                             Color4f color)

  This method has to return a color value determined for a given pixel frustum. A pixel frustum is a sub frustum of the view frustum that encloses exactly a special pixel of the image. The pixel frustum is indirectly described by describing the related pixel.

  Parameters:
    `x` - Describes the relative x position of the top left corner of the pixel. It can range from -1 to +1.
    `y` - Describes the relative y position of the top left corner of the pixel. It can range from -1 to +1.
    `width` - Describes the relative width of the of the pixel. It can range from 0 to +2.
    `height` - Describes the relative height of the of the pixel. It can range from 0 to +2.
    `color` - The determined color for the pixel frustum will be saved in this parameter. So this parameter will be changed!

### initialize

    void initialize(RTCamera camera,
                    RayProcessor processor)

  Initializes the antialiasing method and sets the camera and ray processor object that has to be used.

  Parameters:
    `camera` - sets the camera object that has to be used for the antialiasing class.
    `processor` - sets the ray processor object that has to be used for the antialiasing class.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD